# IRsDragDropOverrideManager Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | RegisterHandler ([in] IRsDragDropOverride *pOverride)
HRESULT | UnRegisterHandler ([in] IRsDragDropOverride *pOverride)
HRESULT | DropObject ([in] IRsNode *pViewNode,[in] POINT *ptPoint,[in] RtUlong ulKey,[in] VARIANT vVal)
HRESULT | CanAcceptObject ([in] IRsNode *pViewNode,[in] POINT *ptPoint,[in] RtUlong ulKey,[in] VARIANT vVal)

## Detailed Description

General manager for Drag and Drop overriding.

Register Drag&Drop overrides to this manager to receive D&D messages when user tries to drop RdDndDataObject object to windows that implement override mechanism.

## Member Function Documentation

HRESULT IRsDragDropOverrideManager::RegisterHandler | ( | [in] IRsDragDropOverride * | pOverride | ) |

Register Drag and Drop handler.

Parameters:

  | pOverride | D&D handler to register

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRsDragDropOverrideManager::UnRegisterHandler | ( | [in] IRsDragDropOverride * | pOverride | ) |

Unregister Drag and Drop handler.

Parameters:

  | pOverride | D&D handler to unregister

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRsDragDropOverrideManager::DropObject | ( | [in] IRsNode * | pViewNode,
|  | [in] POINT * | ptPoint,
|  | [in] RtUlong | ulKey,
|  | [in] VARIANT | vVal |
| ) |  |  |

Handle dropping of object.

Parameters:

  | pViewNode | defines view node object is dropped to
  | ptPoint | defines position where obj was dropped (relative to window)
  | ulKey | user keys
  | vVal | Object to drop

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRsDragDropOverrideManager::CanAcceptObject | ( | [in] IRsNode * | pViewNode,
|  | [in] POINT * | ptPoint,
|  | [in] RtUlong | ulKey,
|  | [in] VARIANT | vVal |
| ) |  |  |

Check, if any of D&D handlers accept object.

Parameters:

  | pViewNode | defines view node object is dropped to
  | ptPoint | defines position where obj was dropped (relative to window)
  | ulKey | user keys
  | vVal | Object to drop

Returns:
  standard HRESULT processing can be applied to returned value